package com.bootdo.data.dao;

import com.bootdo.data.domain.DataPartDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 分类分级
 * @author admin
 * @email admin@163.com
 * @date 2022-02-27 23:33:17
 */
@Mapper
public interface DataPartDao {

	DataPartDO get(Long partId);
	
	List<DataPartDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(DataPartDO dataPart);
	
	int update(DataPartDO dataPart);
	
	int remove(Long PART_ID);
	
	int batchRemove(Long[] partIds);
}
